# Achievement

## GET /api/v1/dashboard/achievement/audit/{muid}/

> Retrieve Audit Log.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"AchievementAuditLogResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{},"default":{}},"response":{"type":"array","items":{"$ref":"#/components/schemas/AchievementAuditLogItem"},"description":"Last 100 audit log entries for the given user's achievements"}},"required":["response"]},"AchievementAuditLogItem":{"type":"object","properties":{"id":{"type":"string"},"achievement_id":{"type":"string"},"achievement_name":{"type":"string"},"action":{"type":"string","description":"e.g. ISSUED, REVOKED"},"rule_version":{"type":"integer","nullable":true},"metadata":{"type":"object","additionalProperties":{},"nullable":true},"performed_by":{"type":"string","nullable":true},"created_at":{"type":"string","format":"date-time","nullable":true}},"required":["achievement_id","achievement_name","action","created_at","id","metadata","performed_by","rule_version"]}}},"paths":{"/api/v1/dashboard/achievement/audit/{muid}/":{"get":{"operationId":"dashboard_achievement_audit_retrieve","description":"Retrieve Audit Log.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/AchievementAuditLogResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/achievement/bulk-claim/

> Create Bulk Claim Task Achievement.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/bulk-claim/":{"post":{"operationId":"dashboard_achievement_bulk_claim_create","description":"Create Bulk Claim Task Achievement.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/achievement/bulk-issue/

> Create Achievement Issue Bulk.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/bulk-issue/":{"post":{"operationId":"dashboard_achievement_bulk_issue_create","description":"Create Achievement Issue Bulk.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/achievement/bulk-issue/template/

> Retrieve Achievement Bulk Import Template.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/bulk-issue/template/":{"get":{"operationId":"dashboard_achievement_bulk_issue_template_retrieve","description":"Retrieve Achievement Bulk Import Template.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/achievement/claim/{achievement\_id}/

> Create Claim Achievement.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/claim/{achievement_id}/":{"post":{"operationId":"dashboard_achievement_claim_create","description":"Create Claim Achievement.","parameters":[{"in":"path","name":"achievement_id","schema":{"type":"string"},"required":true}],"tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/achievement/create/

> Create Achievement Create.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/create/":{"post":{"operationId":"dashboard_achievement_create_create","description":"Create Achievement Create.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/achievement/debug/{muid}/{achievement\_id}/

> Retrieve Debug Achievement.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/debug/{muid}/{achievement_id}/":{"get":{"operationId":"dashboard_achievement_debug_retrieve","description":"Retrieve Debug Achievement.","parameters":[{"in":"path","name":"achievement_id","schema":{"type":"string"},"required":true},{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## DELETE /api/v1/dashboard/achievement/delete/{achievement\_id}/

> Delete Achievement Delete.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/delete/{achievement_id}/":{"delete":{"operationId":"dashboard_achievement_delete_destroy","description":"Delete Achievement Delete.","parameters":[{"in":"path","name":"achievement_id","schema":{"type":"string"},"required":true}],"tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/achievement/eligible/

> Retrieve Eligible Achievements.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/eligible/":{"get":{"operationId":"dashboard_achievement_eligible_retrieve","description":"Retrieve Eligible Achievements.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/achievement/issue-vc/

> Create User Achievements Issue.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/issue-vc/":{"post":{"operationId":"dashboard_achievement_issue_vc_create","description":"Create User Achievements Issue.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/achievement/issued-log/

> Retrieve Achievement Log List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/issued-log/":{"get":{"operationId":"dashboard_achievement_issued_log_retrieve","description":"Retrieve Achievement Log List.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/achievement/list/

> Retrieve Achievement List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/list/":{"get":{"operationId":"dashboard_achievement_list_retrieve","description":"Retrieve Achievement List.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/achievement/list/user/{muid}/

> Retrieve User Achievements List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserAchievements":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"user_id":{"type":"string"},"achievement":{"allOf":[{"$ref":"#/components/schemas/AchievementBasic"}],"readOnly":true},"is_issued":{"type":"boolean"},"vc_url":{"type":"string","maxLength":100}},"required":["achievement","user_id"]},"AchievementBasic":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"achievement_name":{"type":"string"},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"icon_url":{"type":"string","readOnly":true},"level_id":{"type":"string","nullable":true},"tags":{},"template_id":{"type":"string","nullable":true,"maxLength":100}},"required":["achievement_name","description","icon_url","tags"]}}},"paths":{"/api/v1/dashboard/achievement/list/user/{muid}/":{"get":{"operationId":"dashboard_achievement_list_user_retrieve","description":"Retrieve User Achievements List.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserAchievements"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/achievement/manual-issue/

> Create Manual Issue.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/achievement/manual-issue/":{"post":{"operationId":"dashboard_achievement_manual_issue_create","description":"Create Manual Issue.","tags":["Achievement"],"responses":{"200":{"description":"Achievement manually issued to user"}}}}}}
```

## GET /api/v1/dashboard/achievement/progress/

> Retrieve User Progress.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"AchievementUserProgressResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{},"default":{}},"response":{"type":"array","items":{"$ref":"#/components/schemas/AchievementProgressItem"},"description":"Progress towards every achievement for the current user"}},"required":["response"]},"AchievementProgressItem":{"type":"object","properties":{"achievement_id":{"type":"string"},"achievement_name":{"type":"string"},"eligible":{"type":"boolean"},"reason":{"type":"string","nullable":true},"progress":{"type":"object","additionalProperties":{},"description":"Rule-engine progress data (e.g. current vs. required counts)"}},"required":["achievement_id","achievement_name","eligible","progress","reason"]}}},"paths":{"/api/v1/dashboard/achievement/progress/":{"get":{"operationId":"dashboard_achievement_progress_retrieve","description":"Retrieve User Progress.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/AchievementUserProgressResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/achievement/revoke/

> Create Revoke Achievement.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/revoke/":{"post":{"operationId":"dashboard_achievement_revoke_create","description":"Create Revoke Achievement.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/achievement/rules/

> Retrieve Achievement Rule List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/rules/":{"get":{"operationId":"dashboard_achievement_rules_retrieve","description":"Retrieve Achievement Rule List.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/achievement/rules/{rule\_id}/

> Retrieve Achievement Rule Detail.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/rules/{rule_id}/":{"get":{"operationId":"dashboard_achievement_rules_retrieve_2","description":"Retrieve Achievement Rule Detail.","parameters":[{"in":"path","name":"rule_id","schema":{"type":"string"},"required":true}],"tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/achievement/rules/{rule\_id}/deactivate/

> Create Achievement Rule Deactivate.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/rules/{rule_id}/deactivate/":{"post":{"operationId":"dashboard_achievement_rules_deactivate_create","description":"Create Achievement Rule Deactivate.","parameters":[{"in":"path","name":"rule_id","schema":{"type":"string"},"required":true}],"tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/achievement/rules/create/

> Create Achievement Rule Create.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/rules/create/":{"post":{"operationId":"dashboard_achievement_rules_create_create","description":"Create Achievement Rule Create.","tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/achievement/simulate/{muid}/

> Retrieve Simulate Rules.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"AchievementSimulateRulesResponse":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","additionalProperties":{},"default":{}},"response":{"type":"array","items":{"$ref":"#/components/schemas/AchievementSimulateItem"},"description":"Simulated rule evaluation results for the given user (by muid)"}},"required":["response"]},"AchievementSimulateItem":{"type":"object","properties":{"achievement_id":{"type":"string"},"achievement_name":{"type":"string"},"eligible":{"type":"boolean"},"reason":{"type":"string","nullable":true},"progress":{"type":"object","additionalProperties":{},"description":"Rule-engine progress data for the target user"}},"required":["achievement_id","achievement_name","eligible","progress","reason"]}}},"paths":{"/api/v1/dashboard/achievement/simulate/{muid}/":{"get":{"operationId":"dashboard_achievement_simulate_retrieve","description":"Retrieve Simulate Rules.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/AchievementSimulateRulesResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PUT /api/v1/dashboard/achievement/update/{achievement\_id}/

> Update Achievement Update.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Achievement":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"icon_url":{"type":"string","readOnly":true},"name":{"type":"string","maxLength":75},"description":{"type":"string","maxLength":300},"icon":{"type":"string","maxLength":100},"has_vc":{"type":"boolean"},"tags":{},"type":{"type":"string","maxLength":36},"template_id":{"type":"string","nullable":true,"maxLength":100},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true},"level_id":{"type":"string","nullable":true},"updated_by":{"type":"string"},"created_by":{"type":"string"}},"required":["created_at","created_by","description","has_vc","icon_url","name","tags","type","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/achievement/update/{achievement_id}/":{"put":{"operationId":"dashboard_achievement_update_update","description":"Update Achievement Update.","parameters":[{"in":"path","name":"achievement_id","schema":{"type":"string"},"required":true}],"tags":["Achievement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Achievement"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/achievement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
